Bug 810791 - Add CC function for cases update notification
Add CC function for cases update notification
Status: VERIFIED
Product: TCMS
Classification: Other
Component: Application (Show other bugs)
Devel
x86_64 Linux
urgent Severity high
: ---
: 3.7.0
Assigned To: Guoping Feng
tools-bugs
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-04-09 03:42 EDT by weizhang
Modified: 2016-05-26 09:22 EDT (History)
5 users (show)

See Also:
Fixed In Version: 3.7.0-1
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
CC (103.76 KB, image/png)
2012-04-25 04:33 EDT, Guoping Feng
no flags Details

  None (edit)
Description weizhang 2012-04-09 03:42:47 EDT
Description of problem:
I have 145+ old cases and already set tags to virsh-rail, I want to collect all update info of these cases to a mail list virsh-rail-devel@redhat.com, hope that there is a new function that can add CC mail to specific mail address for these cases, so that all there following updating(default, without setting additional configure) to this cases can be send to a mail address.

Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:
Comment 1 yawei Li 2012-04-10 23:13:34 EDT
will be resolved on 3.7.0 release.
Comment 2 Guoping Feng 2012-04-25 04:33:47 EDT
Created attachment 580095 [details]
CC

Verify 3.7.0-1 on tcms-stage -->PASS

Verify steps:
1.Enter into the editing page of any case
2.Check the CC field, please refer to the attachment.
3.Input some CC emails which are different from the author of the case and check all the cc info options.
4.Make some changes with the case and check all the cc emails.


Actual result:
All the cc emails receive the note email of the case changes.
Comment 3 weizhang 2012-05-13 23:41:32 EDT
Hi, I can not received the CC email on the current tcms version, is there any problem?

Steps:
1. check the box "Notify on case update " and "Notify on case delete ", also add CC with "weizhan@redhat.com,virsh-rail-devel@redhat.com" and then save
2. edit again with some content update, and save

can not receive on both email address
Comment 4 Guoping Feng 2012-05-14 01:49:23 EDT
(In reply to comment #3)
> Hi, I can not received the CC email on the current tcms version, is there any
> problem?
> 
> Steps:
> 1. check the box "Notify on case update " and "Notify on case delete ", also
> add CC with "weizhan@redhat.com,virsh-rail-devel@redhat.com" and then save
> 2. edit again with some content update, and save
> 
> can not receive on both email address

Hi weizhang, 

After testing this feature again, I find that if you want to receive the updating info the case, you have to check the option "Notify on case update", and check at least one of the following options at the same time: "Author", "Managers of runs", "Default testers of runs", "Assignees of case runs".
Comment 11 cqi 2012-05-28 02:58:02 EDT
Please ensure the mailing list you are using has no any rule for incoming mails. This feature is just a client to the Email service, and how the email is delivered to the destination is not controlled.
Comment 12 weizhang 2012-05-28 03:38:14 EDT
Hi cqi,

Thanks for your reply. It works now.

Note You need to log in before you can comment on or make changes to this bug.